-- Procedure
CREATE procedure [C6StagingPeriodico].[RP_ST_Area_20170118] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Area',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_Area
	insert into C6StagingPeriodico.RP_Area (
	   [Area]
	  ,[chiaveConsulenza]
      ,[percArea]
      ,[coperturaArea]
      ,[ctvArea]
      ,[varArea]
	  )
	select 
	   [Area]
	  ,[chiaveConsulenza]
      , null as  percArea
      ,dpos.Copertura as coperturaArea
      ,dpos.ctv as ctvArea
       ,null as varArea
	   from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Area a
	   inner join  [CONSUNI_PERIODICO].[consulenzaUnica].dbo.Progetto prog
	   on a.chiaveArea = prog.ChiaveArea
	   inner join [CONSUNI_PERIODICO].[consulenzaUnica].dbo.PosizioniPortafoglio pos
	   on pos.chiaveProgetto = prog.chiaveProgetto
	   inner join  [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettaglioPosizionePortafoglio dpos
	   on pos.chiavePosizionePtf = dpos.chiavePosizionePtf
	   group by area,chiaveconsulenza,dpos.copertura,dpos.ctv
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Area' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Area'
		)
end